/* Script to locate path to Innotek Java and create icon if found */
IF LoadRexxUtil() THEN
  EXIT

value = SysIni(USER,"OS2 Kit for Java", 'ALL:', 'iniData.')

DO i = 1 to iniData.0
  IF Pos("1.4.",iniData.i)>0 THEN 
    DO
     javapath = SysIni(USER,"OS2 Kit for Java", iniData.i)
     i=Length(javapath)
     modjavapath=SubStr(javapath,1,i-1)
     dir=directory()
     rc=SysCreateObject('WPProgram',,
     'Varsha',,
     '<WP_DESKTOP>',,
     'EXENAME='||modjavapath||'\bin\javaw.exe;'||,
     'PARAMETERS=-jar varsha.jar;'||, 
     'ICONFILE='||dir||'\varsha.ico;'||, 
     'STARTUPDIR='||dir||';'||,
     'OBJECTID=<VARSHA>',,
     'Update' )
     EXIT
   END;
END

SAY "Sorry, Innotek Java not detected, icon not created."
EXIT


/* load RexxUtil */
LoadRexxUtil: PROCEDURE
  IF RxFuncQuery('SysLoadFuncs') THEN
  DO
  IF RxFuncAdd('SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs') THEN
    DO
    SAY "Error: couldn't load rexxutil library."
    RETURN 1
    END
  CALL SysLoadFuncs
  END
RETURN 0